﻿using System;
using System.Collections.Specialized;
using System.Windows.Input;
using Telerik.XamarinForms.DataControls.ListView;
using Xamarin.Forms;

namespace ListViewAndToolBarIntegration
{
    public partial class ListViewAndToolBarIntegrationPage : ContentPage
    {
        public ICommand ToggleMultipleSelectionCommand
        {
            get; private set;
        }

        public ListViewAndToolBarIntegrationPage()
        {
            InitializeComponent();

            this.ToggleMultipleSelectionCommand = new Command(p => this.ToggleMultipleSelection(p));

            this.BindingContext = this;

            this.list.ItemsSource = new string[] { "test", "test1", "change toolbar", "test2" };
        }

        private void Handle_SelectionChanged(object sender, NotifyCollectionChangedEventArgs e)
        {
            if (this.list.SelectedItems.Contains("change toolbar"))
            {
                this.ToolbarItems[1].Text += "1";
            }
        }

        private void ToggleMultipleSelection(object param)
        {
            if (this.list.SelectionMode == SelectionMode.Single)
            {
                this.list.SelectionMode = SelectionMode.Multiple;
            }
            else
            {
                this.list.SelectionMode = SelectionMode.Single;
            }
        }
    }
}
